﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AnimatorController : MonoBehaviour
{
    [SerializeField]
    private InputBase inputPlayer;
    [SerializeField]
    private Rigidbody2D rb;
    [SerializeField]
    private Animator anim;

    [SerializeField]
    private CollectorMove collectorMove;
    [SerializeField]
    private ShooterController shooterController;
    [SerializeField]
    private CollectObjects collectObjects;

    [SerializeField, Header("Variables")]
    private string walkId;
    [SerializeField]
    private string IdleObjectId;
    [SerializeField]
    private string dashId;
    [SerializeField]
    private string jumpId;
    [SerializeField]
    private string doublejump;

    private void Awake()
    {
        rb = GetComponent<Rigidbody2D>();
        collectorMove = GetComponent<CollectorMove>();
        shooterController = GetComponent<ShooterController>();
    }

    private void Update()
    {
        if (collectorMove)
        {
            if (collectorMove.IsDashing)
            {
                anim.SetBool(dashId, true);
            }
            else
            {
                anim.SetBool(dashId, false);
                anim.SetFloat(walkId, Mathf.Abs(rb.velocity.x));

                if(collectObjects.GetCurrentItem != null)
                    anim.SetBool(IdleObjectId, rb.velocity.magnitude == 0);
                else
                    anim.SetBool(IdleObjectId, false);

            }
            return;
        }

        if (shooterController)
        {
            if (shooterController.InGround)
            {
                anim.SetFloat(walkId, Mathf.Abs(rb.velocity.x));
                anim.SetBool(jumpId, false);
            }
            else
            {
                anim.SetBool(jumpId, true);
            }

            anim.SetBool(doublejump, shooterController.DoubleJump);

            if (collectObjects.GetCurrentItem != null)
                anim.SetBool(IdleObjectId, rb.velocity.magnitude == 0);
            else
                anim.SetBool(IdleObjectId,false);
        }
    }
}
