﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraFollow : MonoBehaviour
{
    [SerializeField]
    private Transform playerOne;
    [SerializeField]
    private Transform playerTwo;

    [SerializeField]
    private float delay = 1;

    private float middlePos = 0;
    private float paralax = 0;

    private void LateUpdate()
    {
        middlePos = playerOne.position.x + (playerTwo.position.x - playerOne.position.x) / 2;

        paralax = Map(middlePos, -15, 15, -1, 1);

        Vector3 lerp = new Vector3(Mathf.Lerp(transform.position.x, -paralax, delay * Time.deltaTime), transform.position.y, transform.position.z);

        transform.position = lerp;
    }

    private float Map(float x, float x1, float x2, float y1, float y2)
    {
        var m = (y2 - y1) / (x2 - x1);
        var c = y1 - m * x1; 
        return m * x + c;
    }
}
