﻿using DG.Tweening;
using UnityEngine;

public class CameraShake : MonoBehaviour
{
	[SerializeField] private Transform _transform;
	[SerializeField] private float _shakeTime;
	[SerializeField] private Vector2 _min;
	[SerializeField] private Vector2 _max;


	private void Start()
	{
		GameManager.Instance.OnNoiseChanged += OnNoiseChanged;
	}

	private void OnNoiseChanged(float value)
	{
		if (value == 0) return;
		Shake();
	}

	[ContextMenu("shake")]
	public void Shake()
	{
		var randomx = Random.Range(_min.x, _max.x);
		var randomy = Random.Range(_min.y, _max.y);

		//Debug.Log($"{randomx}, {randomy}");

		DOTween.Sequence()
			.Append(_transform.DOLocalMove(new Vector3(randomx, randomy, 0), _shakeTime * 0.25f).SetEase(Ease.InOutBounce))
			.Append(_transform.DOLocalMove(new Vector3(-randomx, -randomy, 0), _shakeTime * 0.25f))
			.Append(_transform.DOLocalMove(new Vector3(randomx * 0.5f, randomy  * 0.5f, 0), _shakeTime * 0.25f).SetEase(Ease.InOutBounce))
			.Append(_transform.DOLocalMove(new Vector3(-randomx  * 0.5f, -randomy  * 0.5f, 0), _shakeTime * 0.25f))
			.Append(_transform.DOLocalMove(new Vector3(0, 0, 0), _shakeTime * 0.2f).SetEase(Ease.OutCubic));
	}
}
