﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class ChangeLevel : MonoBehaviour
{
    public static ChangeLevel Instance = null;

    [SerializeField]
    private GameObject fadeSprite;
    [SerializeField]
    private Animator anim;

    [SerializeField]
    private float delay = 0.5f;

    private void Awake()
    {
        Instance = this;
        fadeSprite.SetActive(true);
        Time.timeScale = 1;
    }

    public void ChangeLoadLevel(string _level)
    {
        anim.SetTrigger("fade");
        StartCoroutine(LoadLevel(_level));
    }

    public void QuitGame()
    {
        anim.SetTrigger("fade");
        StartCoroutine(QuitGameRutine());
    }

    IEnumerator LoadLevel(string _level)
    {
        yield return new WaitForSecondsRealtime(delay);
        SceneManager.LoadScene(_level);
    }

    IEnumerator QuitGameRutine ()
    {
        yield return new WaitForSecondsRealtime(delay);
        Application.Quit();
    }
}
