﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Door : MonoBehaviour
{
    [SerializeField]
    public bool isOpen = false;

    [SerializeField]
    public float openTime = 3f;
    [SerializeField]
    private Animator animator;

    private float openedTime;
    private SpawnPoint currentSpawnPoint;

    void Start()
    {
        
    }

    void Update()
    {
        
    }

    void FixedUpdate()
    {
        if (isOpen)
        {
            if(Time.time-openedTime > openTime)
            {
                close();
            }
        }
    }

    public void open(SpawnPoint spawnPoint)
    {
        isOpen = true;
        if (animator)
        {
            animator.SetBool("door", true);
        }
        openedTime = Time.time;
        currentSpawnPoint = spawnPoint;
    }

    public void close()
    {
        isOpen = false;
        if (animator)
        {
            animator.SetBool("door", false);
        }
        //Debug.Log("Door closed");
        currentSpawnPoint.DisableItem();
    }
}
