﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ItemsManager : MonoBehaviour
{
    [SerializeField]
    private List<Item> itemsPrefabs;

    [SerializeField]
    private List<SpawnPoint> spawnPoints;

    [SerializeField]
    private int minTimeBetweenSpawns = 2;
    [SerializeField]
    private int maxTimeBetweenSpawns = 5;

    [SerializeField]
    private float timeAvailable;

    private float currTime;

    private void Start()
    {
        currTime = GetRandom(minTimeBetweenSpawns, maxTimeBetweenSpawns);
    }

    void Update()
    {
        currTime = currTime - Time.deltaTime;

        if (currTime < 0)
        {
            int r = GetRandom(0, spawnPoints.Count);
            bool canSpawn = spawnPoints[r].CanSetItem();

            if(canSpawn)
            {
                int proposedIndex = GetRandom(0, itemsPrefabs.Count);
                while (!spawnPoints[r].CanHoldItem(proposedIndex))
                {
                    proposedIndex = (proposedIndex + 1) % itemsPrefabs.Count;
                }
                Item g = Instantiate(itemsPrefabs[proposedIndex]);

                spawnPoints[r].SetItem(g);

                Debug.Log("SpawnPoint");
                currTime = GetRandom(minTimeBetweenSpawns, maxTimeBetweenSpawns);
            }
            else
            {
                currTime = 1;
            }
        }
    }

    public int GetRandom(int _min,int _max)
    {
        return Random.Range(0, _max);
    }
}
