﻿using UnityEngine;
using XboxCtrlrInput;

public class AimInput : MonoBehaviour
{
	[SerializeField] private XboxController _controller;
	[SerializeField] private XboxAxis _aimAxis;
	[SerializeField] private XboxButton _shootButton;

	[Header("Keyboard")]
	[SerializeField] private string _aimAxisKeyboard = "Horizontal";
	[SerializeField] private KeyCode _shootKey;

	private bool _useJoystick;

	private void Awake()
	{
		int queriedNumberOfCtrlrs = XCI.GetNumPluggedCtrlrs();		
		_useJoystick = ((int)_controller <= queriedNumberOfCtrlrs);
	}

	public bool GetForceButtonDown()
	{
		if(_useJoystick) return XCI.GetButtonDown(_shootButton, _controller);
		return Input.GetKeyDown(_shootKey);
	}

	public bool GetForceButtonUp()
	{
		if(_useJoystick) return XCI.GetButtonUp(_shootButton, _controller);
		return Input.GetKeyUp(_shootKey);
	}

	public float GetAim()
	{
		if(_useJoystick) return XCI.GetAxis(_aimAxis, _controller);
		return Input.GetAxis(_aimAxisKeyboard);
	}
}