﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DashDetector
{
    private Dasher dasher;
    /**
     * -1 Moving
     *  0 Iddle
     *  1 Gesture 1st tap
     *  2 Gesture 1st release
     *  2 Gesture 2nd tap
     */
    private int stage;
    private float currentDirection;
    private float currentStageTime;
    private float gestureTime;
    private float lastDirection = 0f;

    public DashDetector(Dasher dasherInput, float gestureTimeInput)
    {
        currentDirection = 0f;
        dasher = dasherInput;
        stage = 0;
        currentStageTime = Time.time;
        gestureTime = gestureTimeInput;
    }

    public void insertCurrentDirection(float direction)
    {
        //Debug.Log("Current dir: " + direction + "; Stage: " + stage);
        if (stage == 2 && direction != 0 && sameDirection(direction, currentDirection))
        {
            stage = -1;
            dasher.Dash(direction);
            Debug.Log("Stage: " + stage);
        }
        else if (stage == 2 && deaccelerating(direction))
        {
            if (Time.time - currentStageTime > gestureTime)
            {
                stage = 0;
                Debug.Log("Stage: " + stage);
            }
        }
        else if (stage == 0 && direction != 0)
        {
            stage = 1;
            Debug.Log("Stage: " + stage);
            currentDirection = direction;
            currentStageTime = Time.time;
        }
        else if (stage == 1 && direction != 0 && sameDirection(direction, currentDirection))
        {
            if (Time.time - currentStageTime > gestureTime)
            {
                stage = -1;
                Debug.Log("Stage: " + stage);
            }
        }
        else if (stage == 1 && deaccelerating(direction))
        {
            stage = 2;
            Debug.Log("Stage: " + stage);
            currentStageTime = Time.time;
        }
        else if (stage == -1 && deaccelerating(direction))
        {
            stage = 0;
            Debug.Log("Stage: " + stage);
            currentStageTime = Time.time;
        }
        lastDirection = direction;
    }

    private bool sameDirection(float oneDirection, float anotherDirection)
    {
        return (oneDirection > 0 && anotherDirection > 0) || (oneDirection < 0 && anotherDirection < 0);
    }

    public bool deaccelerating(float direction)
    {
        return sameDirection(direction, lastDirection) && Mathf.Abs(direction) < Mathf.Abs(lastDirection);
    }
}
