﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using XboxCtrlrInput;

public class InputTwo : InputBase
{
	[SerializeField] private XboxController _controller;
	[SerializeField] private XboxAxis _moveAxis;
	[SerializeField] private XboxButton _jumpButton;

	[Header("Keyboard")]
	[SerializeField] private string _horizontalAxis = "Horizontal";
	[SerializeField] private KeyCode _jumpKey;

	private bool _useJoystick;

	private void Awake()
	{
		int queriedNumberOfCtrlrs = XCI.GetNumPluggedCtrlrs();		
		_useJoystick = ((int)_controller <= queriedNumberOfCtrlrs);
	}

	public override bool GetJumpInput()
    {
		if(_useJoystick) return XCI.GetButtonDown(_jumpButton, _controller);
        return Input.GetKeyDown(_jumpKey);
    }

    public override float GetXInput()
    {
		if(_useJoystick) return XCI.GetAxis(_moveAxis, _controller);
        return Input.GetAxis(_horizontalAxis);
    }
}
