﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RotateArt : MonoBehaviour
{
    [SerializeField]
    private InputBase inputPlayer;
    [SerializeField]
    private Transform rotArt;

    [SerializeField]
    private CollectorMove collectorMove;
    [SerializeField]
    private ShooterController shooterController;

    private void Awake()
    {
        collectorMove = GetComponent<CollectorMove>();
        shooterController = GetComponent<ShooterController>();
    }

    private void Update()
    {
        if(collectorMove)
        {
            if(collectorMove.CanStartPlayer)
                Rotate();
        }

        if (shooterController)
        {
            if (shooterController.CanStartPlayer)
                Rotate();
        }
    }

    void Rotate()
    {
        if (inputPlayer.GetXInput() < 0)
        {
            rotArt.localScale = new Vector2(1, 1);
        }
        if (inputPlayer.GetXInput() > 0)
        {
            rotArt.localScale = new Vector2(-1, 1);
        }
    }
}
