﻿using UnityEngine;
using TMPro;

public class PointsCounter : MonoBehaviour
{
	[SerializeField] private TextMeshProUGUI _text;
    [SerializeField] private TextMeshProUGUI _textPlayer;
    [SerializeField] private string _format = "D5";

	private void Start()
	{
		GameManager.Instance.OnPointsChanged += OnPointsChanged;
	}

	private void OnPointsChanged(int value, GameState.Round _state)
	{
        switch (_state)
        {
            case GameState.Round.first:
                _textPlayer.text = "BLUE TWIN";
                break;
            case GameState.Round.second:
                _textPlayer.text = "RED TWIN";
                break;
        }

        _text.SetText(value.ToString(_format));
	}
}
