﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ScoreManager : MonoBehaviour
{
    public static ScoreManager Instance = null;

    [SerializeField]
    private int scorePlayerOne;
    [SerializeField]
    private int scorePlayerTwo;

    private void Awake()
    {
        Instance = this;
    }

    private void Start()
    {
        GameManager.Instance.OnPointsChanged += ScoreAddCurrentPlayer;
    }

    void ScoreAddCurrentPlayer(int _score, GameState.Round _state)
    {
        switch (_state)
        {
            case GameState.Round.none:
                break;
            case GameState.Round.first:
                scorePlayerOne = _score;
                break;
            case GameState.Round.second:
                scorePlayerTwo = _score;
                break;
            case GameState.Round.end:
                CalculateWin();
                break;
        }
    }

    public void CalculateWin()
    {
        Debug.Log("WIN ?");
        if (scorePlayerOne < scorePlayerTwo)
        {
            WinText.Instance.OnGameEndUI(true, true, scorePlayerOne, scorePlayerTwo);
        }
        else
        {
            WinText.Instance.OnGameEndUI(true, false, scorePlayerOne, scorePlayerTwo);
        }
    }
}
