﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SoundManager : MonoBehaviour
{
	// AGRAGAR ACA
	public AudioClip music;

	public AudioClip Danger;
    public AudioClip Dash;
    public AudioClip DoubleJump;
    public AudioClip Fanfare;
    public AudioClip HowToBtn;
    public AudioClip Jump;
    public AudioClip CookieJarHit;
    public AudioClip Pan2ndHit;
    public AudioClip Pan1stHit;
    public AudioClip PlateHit;
    public AudioClip PlayBtn;
    public AudioClip Throw;
    public AudioClip TransitionFanfare;
    public AudioClip YangPickUp;
    public AudioClip YingCookiePickUp;
    public AudioClip YingPickUp;

    // EDITAR ACA METODOS
    public void PlayDanger()
	{
		PlayEffect(Danger);
	}
    public void PlayDash()
    {
        PlayEffect(Dash);
    }
    public void PlayDoubleJump()
    {
        PlayEffect(DoubleJump);
    }
    public void PlayFanfare()
    {
        PlayEffect(Fanfare);
    }
    public void PlayHowToBtn()
    {
        PlayEffect(HowToBtn);
    }
    public void PlayJump()
    {
        PlayEffect(Jump);
    }
    public void PlayCookieJarHit()
    {
        PlayEffect(CookieJarHit);
    }
    public void PlayPan2ndHit()
    {
        PlayEffect(Pan2ndHit);
    }
    public void PlayPan1stHit()
    {
        PlayEffect(Pan1stHit);
    }
    public void PlayPlateHit()
    {
        PlayEffect(PlateHit);
    }
    public void PlayPlayBtn()
    {
        PlayEffect(PlayBtn);
    }
    public void PlayThrow()
    {
        PlayEffect(Throw);
    }
    public void PlayTransitionFanfare()
    {
        PlayEffect(TransitionFanfare);
    }
    public void PlayYangPickUp()
    {
        PlayEffect(YangPickUp);
    }
    public void PlayYingCookiePickUp()
    {
        PlayEffect(YingCookiePickUp);
    }
    public void PlayYingPickUp()
    {
        PlayEffect(YingPickUp);
    }


    public static SoundManager Instance { get { return instance; } }
    private static SoundManager instance;

    public AudioSource effectsSource;
	public AudioSource musicsSource;

    private void Awake()
    {
        if(instance != null && instance != this)
        {
            Destroy(this.gameObject);
        }
        else
        {
            instance = this;
            DontDestroyOnLoad(this.gameObject);
			instance.PlayMusic(music, true);
        }
    }

	public void PlayMusic(AudioClip clip, bool loop)
	{
		musicsSource.clip = clip;
		musicsSource.loop = loop;
		musicsSource.Play();
	}

    public void PlayEffect(AudioClip clip)
    {
        effectsSource.PlayOneShot(clip);
    }
}
