﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpawnPoint : MonoBehaviour
{
    [SerializeField]
    private Item currItem;
    [SerializeField]
    private GameObject doorElement;
    [SerializeField]
    private List<int> bannedItems;

    public bool CanSetItem()
    {
        Door door = doorElement.GetComponent(typeof(Door)) as Door;
        if (currItem || door.isOpen)
            return false;
        return true;
    }

    public bool CanHoldItem(int itemIndex)
    {
        if(bannedItems == null)
        {
            return true;
        }
        foreach(int bannedItem in bannedItems)
        {
            if(bannedItem == itemIndex)
            {
                return false;
            }
        }
        return true;
    }

    public void SetItem(Item _item)
    {
        currItem = _item;
        currItem.transform.position = new Vector3(transform.position.x + currItem.sizeX / 2, transform.position.y + currItem.sizeY / 2, transform.position.z);
        currItem.SetSpawn(this);
        currItem.transform.SetParent(this.transform);
        Door door = doorElement.GetComponent(typeof(Door)) as Door;
        door.open(this);
    }

    public void RemoveItem()
    {
        currItem = null;
    }

    public void DisableItem()
    {
        if (currItem != null)
        {
            currItem.Removeme();
            currItem = null;
        }
    }
}
