﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SwitchPlayers : MonoBehaviour
{
    [SerializeField]
    private float delay = 1;

    private void Awake()
    {
        Time.timeScale = 1;
    }

    private void Start()
    {
        GameManager.Instance.OnGameEnd += CheckToSwitchPlayer;
    }

    void CheckToSwitchPlayer(int poitsCurrentPlayer, GameState.Round gameState)
    {
        Debug.Log("Players end = " + poitsCurrentPlayer + " - " + gameState.ToString());
        switch (gameState)
        {
            case GameState.Round.first:
                break;
            case GameState.Round.second:
                RestartGame.Instance.RestartGamerRutine();
                break;
            case GameState.Round.end:
                RestartGame.Instance.EndGameResult();
                break;
        }
    }
}
