﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class WinText : MonoBehaviour
{
    public static WinText Instance = null;
    [SerializeField]
    private GameObject EndGame;
    [SerializeField]
    private GameObject roundOne;
    [SerializeField]
    private GameObject roundTwo;
    [SerializeField]
    private GameObject blue;
    [SerializeField]
    private GameObject red;
    [SerializeField]
    private Text blueText;
    [SerializeField]
    private Text redText;
    [SerializeField]
    private Text textInfo;

    private void Awake()
    {
        Instance = this;
    }

    private void Start()
    {
        EndGame.gameObject.SetActive(false);
    }

    public void OnGameEndUI(bool _onOff, bool redOrBlue, int _redPoints, int _bluePoints)
    {
        EndGame.SetActive(_onOff);
        redText.text = _redPoints.ToString();
        blueText.text = _bluePoints.ToString();
        if (redOrBlue)
        {
            red.gameObject.SetActive(true);
        }
        else
        {
            blue.gameObject.SetActive(true);
        }
    }

    public void UpdateText(string _Info)
    {
        textInfo.text = _Info;
    }

    public void OnOffTextInfo(bool _onOff)
    {
        textInfo.gameObject.SetActive(_onOff);
    }

    public void OnOffGameRoundOne(bool _onOff)
    {
        roundOne.SetActive(_onOff);
    }

    public void OnOffGameRoundTwo(bool _onOff)
    {
        roundTwo.SetActive(_onOff);
    }
}
